version: "3"

services:
    weblate:
        image: weblate/weblate
        tmpfs:
            - /run
            - /tmp
        volumes:
            - weblate-data:/app/data
            - weblate-cache:/app/cache
            - ./packages/weblate/repo.git:/app-repo.git
        ports:
            - ${ARCELIUS_PORT_WEBLATE}:8080
        environment:
            # disables email support. see: note below https://docs.weblate.org/en/latest/admin/install.html#configure-e-mail-sending
            EMAIL_BACKEND: "django.core.mail.backends.dummy.EmailBackend"

            WEBLATE_EMAIL_HOST: smtp.example.com
            WEBLATE_EMAIL_HOST_USER: user
            WEBLATE_EMAIL_HOST_PASSWORD: pass
            WEBLATE_SERVER_EMAIL: weblate@example.com

            WEBLATE_SITE_DOMAIN: localhost:${ARCELIUS_PORT_WEBLATE}
            WEBLATE_ADMIN_PASSWORD: development
            WEBLATE_ADMIN_NAME: admin
            WEBLATE_ADMIN_EMAIL: development@email.invalid
        env_file:
            - ./packages/weblate/environment
        restart: always
        depends_on:
            - database
            - cache
        read_only: false

    database:
        image: postgres:13-alpine
        env_file:
            - ./packages/weblate/environment
        volumes:
            - database-data:/var/lib/postgresql/data
            - database-runtime:/var/run/postgresql
        tmpfs:
            - /tmp
        restart: always
        read_only: true

    cache:
        image: redis:6-alpine
        restart: always
        command: ["redis-server", "--appendonly", "yes"]
        volumes:
            - cache-data:/data
        read_only: true

volumes:
    weblate-data:
    weblate-cache:
    database-data:
    database-runtime:
    cache-data:
